<template>
    <el-col :span="span" :md="md" :lg="lg" :xl="xl">
        <div class="desc-col f-14" :class="className">
            <slot name="label">{{ label }}{{ mh }}</slot>
            <span class="c-333"><slot></slot></span>
        </div>
    </el-col>
</template>

<script setup name="DescCol" lang="ts">
import { propTypes } from '@/utils/propTypes';

const props = defineProps({
    span: propTypes.number.def(6),
    md: propTypes.number.def(24),
    lg: propTypes.number.def(8),
    xl: propTypes.number.def(6),
    label: String,
    isSv: Boolean,
    size: propTypes.number.def(16),
    className: propTypes.string.def(''),
    mh: propTypes.string.def('：'),
});
</script>
<style lang="scss" scoped>
.desc-col {
    padding: 2px 0;
    line-height: 1.8;
    color: rgba(102, 102, 102, 1);
    word-break: break-all;
}
</style>
